org.jboss.jca.as.converters

## Class LegacyXaDataSourceImp

- java.lang.Object
- - org.jboss.jca.as.converters.LegacyXaDataSourceImp

- All Implemented Interfaces:
    CommonXa, ConnectionFactory, DataSource, XaDataSource

      public class LegacyXaDataSourceImp
      extends java.lang.Object
      implements XaDataSource

  A XaDataSource impl.
  Version:
    $Revision: $
  Author:
    Jeff Zhang

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.as.converters.XaDataSource

      `XaDataSource.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegacyXaDataSourceImp(java.lang.String xaDataSourceClass, java.lang.String driver, org.jboss.jca.common.api.metadata.ds.TransactionIsolation transactionIsolation, java.util.Map<java.lang.String,java.lang.String> xaDataSourceProperty)` create a LegacyXaDataSourceImp

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LegacyXaDataSourceImp` | `buildCommonPool(java.lang.Integer minPoolSize, java.lang.Integer initialPoolSize, java.lang.Integer maxPoolSize, java.lang.Boolean prefill, java.lang.Boolean useStrictMin, org.jboss.jca.common.api.metadata.common.FlushStrategy flushStrategy, java.lang.Boolean isSameRmOverride, java.lang.Boolean interleaving, java.lang.Boolean padXid, java.lang.Boolean wrapXaResource, java.lang.Boolean noTxSeparatePool)` build pool part
    `LegacyXaDataSourceImp` | `buildDsSecurity(java.lang.String userName, java.lang.String password, java.lang.String securityDomain, org.jboss.jca.common.api.metadata.common.Extension reauthPlugin)` build security part
    `LegacyXaDataSourceImp` | `buildOther(java.lang.String urlDelimiter, java.lang.String urlSelectorStrategyClassName, java.lang.String newConnectionSql, java.lang.Boolean useJavaContext, java.lang.String poolName, java.lang.Boolean enabled, java.lang.String jndiName, java.lang.Boolean spy, java.lang.Boolean useCcm, java.lang.Boolean jta)` build other properties
    `LegacyXaDataSourceImp` | `buildRecovery(java.lang.String recoveryUsername, java.lang.String recoveryPassword, java.lang.Boolean noRecovery)` build recovery part
    `LegacyXaDataSourceImp` | `buildStatement(java.lang.Boolean sharePreparedStatements, java.lang.Long preparedStatementsCacheSize, org.jboss.jca.common.api.metadata.ds.Statement.TrackStatementsEnum trackStatements)` build statement part
    `LegacyXaDataSourceImp` | `buildTimeOut(java.lang.Long blockingTimeoutMillis, java.lang.Long idleTimeoutMinutes, java.lang.Integer allocationRetry, java.lang.Long allocationRetryWaitMillis, java.lang.Integer xaResourceTimeout, java.lang.Boolean setTxQueryTimeout, java.lang.Long queryTimeout, java.lang.Long useTryLock)` build timeout part
    `LegacyXaDataSourceImp` | `buildValidation(java.lang.Boolean backgroundValidation, java.lang.Long backgroundValidationMillis, java.lang.Boolean useFastFail, org.jboss.jca.common.api.metadata.common.Extension validConnectionChecker, java.lang.String checkValidConnectionSql, java.lang.Boolean validateOnMatch, org.jboss.jca.common.api.metadata.common.Extension staleConnectionChecker, org.jboss.jca.common.api.metadata.common.Extension exceptionSorter)` build validation part
    `void` | `buildXaDataSourceImpl()` buildXaDataSourceImpl
    `java.lang.Integer` | `getAllocationRetry()` Get the allocationRetryWaitMillis.
    `java.lang.Long` | `getAllocationRetryWaitMillis()` Get the allocationRetryWaitMillis.
    `java.lang.Long` | `getBackgroundValidationMillis()` Get the backgroundValidationMillis.
    `java.lang.Long` | `getBlockingTimeoutMillis()` Get the blockingTimeoutMillis.
    `java.lang.String` | `getCheckValidConnectionSql()` Get the checkValidConnectionSql.
    `org.jboss.jca.common.api.metadata.common.Extension` | `getExceptionSorter()` Get the exceptionSorter
    `java.lang.Long` | `getIdleTimeoutMinutes()` Get the idleTimeoutMinutes.
    `java.lang.String` | `getJndiName()` Get the jndiName.
    `java.lang.Boolean` | `getJta()` getJta
    `java.lang.Integer` | `getMaxPoolSize()` Get the maxPoolSize.
    `java.lang.Integer` | `getMinPoolSize()` Get the minPoolSize.
    `java.lang.String` | `getNewConnectionSql()` Get the newConnectionSql.
    `java.lang.String` | `getPassword()` Get the password.
    `java.lang.Long` | `getPreparedStatementsCacheSize()` Get the preparedStatementsCacheSize.
    `java.lang.Long` | `getQueryTimeout()` Get the queryTimeout.
    `java.lang.String` | `getSecurityDomain()` get the security domain for pure security-domain security management
    `org.jboss.jca.common.api.metadata.common.Extension` | `getStaleConnectionChecker()` Get the staleConnectionChecker
    `org.jboss.jca.common.api.metadata.ds.Statement.TrackStatementsEnum` | `getTrackStatements()` Get the trackStatements.
    `java.lang.String` | `getUrlDelimiter()` Get the urlDelimiter.
    `java.lang.String` | `getUrlSelectorStrategyClassName()` Get the urlSelectorStrategyClassName.
    `java.lang.String` | `getUserName()` Get the userName.
    `java.lang.Long` | `getUseTryLock()` Get the useTryLock.
    `org.jboss.jca.common.api.metadata.common.Extension` | `getValidConnectionChecker()` Get the validConnectionChecker
    `java.lang.String` | `getXaDataSourceClass()` Get the xaDataSourceClass.
    `java.util.Map<java.lang.String,java.lang.String>` | `getXaDataSourceProperty()` Get the xaDataSourceProperty.
    `java.lang.Integer` | `getXaResourceTimeout()` Get the xaResourceTimeout.
    `java.lang.Boolean` | `isBackgroundValidation()` Get the backgroundValidation.
    `java.lang.Boolean` | `isInterleaving()` Get the interleaving.
    `java.lang.Boolean` | `isNoTxSeparatePools()` Get the noTxSeparatePools.
    `java.lang.Boolean` | `isPadXid()` Get the padXid.
    `java.lang.Boolean` | `isPrefill()` Get the prefill.
    `java.lang.Boolean` | `isSameRmOverride()` Get the isSameRmOverride.
    `java.lang.Boolean` | `isSetTxQueryTimeout()` Get the setTxQuertTimeout.
    `java.lang.Boolean` | `isSharePreparedStatements()` Get the sharePreparedStatements.
    `java.lang.Boolean` | `isTrackConnectionByTx()` Get the TrackConnectionByTx.
    `java.lang.Boolean` | `isUseFastFail()` Get the useFastFail.
    `java.lang.Boolean` | `isUseJavaContext()` Get the useJavaContext.
    `java.lang.Boolean` | `isValidateOnMatch()` Get the validateOnMatch.
    `java.lang.Boolean` | `isWrapXaResource()` Get the wrapXaResource.
    `void` | `setJta(java.lang.Boolean jta)` setJta
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LegacyXaDataSourceImp

          public LegacyXaDataSourceImp(java.lang.String xaDataSourceClass,
                                       java.lang.String driver,
                                       org.jboss.jca.common.api.metadata.ds.TransactionIsolation transactionIsolation,
                                       java.util.Map<java.lang.String,java.lang.String> xaDataSourceProperty)

      create a LegacyXaDataSourceImp
      Parameters:
        `xaDataSourceClass` - xaDataSourceClass
        `driver` - driver
        `transactionIsolation` - transactionIsolation
        `xaDataSourceProperty` - xaDataSourceProperty

  - ### Method Detail

    - #### buildXaDataSourceImpl

          public void buildXaDataSourceImpl()
                                     throws java.lang.Exception

      buildXaDataSourceImpl
      Throws:
        `java.lang.Exception` - exception

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### buildTimeOut

          public LegacyXaDataSourceImp buildTimeOut(java.lang.Long blockingTimeoutMillis,
                                                    java.lang.Long idleTimeoutMinutes,
                                                    java.lang.Integer allocationRetry,
                                                    java.lang.Long allocationRetryWaitMillis,
                                                    java.lang.Integer xaResourceTimeout,
                                                    java.lang.Boolean setTxQueryTimeout,
                                                    java.lang.Long queryTimeout,
                                                    java.lang.Long useTryLock)
                                             throws java.lang.Exception

      build timeout part
      Parameters:
        `blockingTimeoutMillis` - blockingTimeoutMillis
        `idleTimeoutMinutes` - idleTimeoutMinutes
        `allocationRetry` - allocationRetry
        `allocationRetryWaitMillis` - allocationRetryWaitMillis
        `xaResourceTimeout` - xaResourceTimeout
        `setTxQueryTimeout` - setTxQueryTimeout
        `queryTimeout` - queryTimeout
        `useTryLock` - useTryLock
      Returns:
        this
      Throws:
        `java.lang.Exception` - exception

    - #### buildDsSecurity

          public LegacyXaDataSourceImp buildDsSecurity(java.lang.String userName,
                                                       java.lang.String password,
                                                       java.lang.String securityDomain,
                                                       org.jboss.jca.common.api.metadata.common.Extension reauthPlugin)
                                                throws java.lang.Exception

      build security part
      Parameters:
        `userName` - userName
        `password` - password
        `securityDomain` - securityDomain
        `reauthPlugin` - reauthPlugin
      Returns:
        this
      Throws:
        `java.lang.Exception` - exception

    - #### buildStatement

          public LegacyXaDataSourceImp buildStatement(java.lang.Boolean sharePreparedStatements,
                                                      java.lang.Long preparedStatementsCacheSize,
                                                      org.jboss.jca.common.api.metadata.ds.Statement.TrackStatementsEnum trackStatements)
                                               throws java.lang.Exception

      build statement part
      Parameters:
        `sharePreparedStatements` - sharePreparedStatements
        `preparedStatementsCacheSize` - preparedStatementsCacheSize
        `trackStatements` - trackStatements
      Returns:
        this
      Throws:
        `java.lang.Exception` - exception

    - #### buildValidation

          public LegacyXaDataSourceImp buildValidation(java.lang.Boolean backgroundValidation,
                                                       java.lang.Long backgroundValidationMillis,
                                                       java.lang.Boolean useFastFail,
                                                       org.jboss.jca.common.api.metadata.common.Extension validConnectionChecker,
                                                       java.lang.String checkValidConnectionSql,
                                                       java.lang.Boolean validateOnMatch,
                                                       org.jboss.jca.common.api.metadata.common.Extension staleConnectionChecker,
                                                       org.jboss.jca.common.api.metadata.common.Extension exceptionSorter)
                                                throws java.lang.Exception

      build validation part
      Parameters:
        `backgroundValidation` - backgroundValidation
        `backgroundValidationMillis` - backgroundValidationMillis
        `useFastFail` - useFastFail
        `validConnectionChecker` - validConnectionChecker
        `checkValidConnectionSql` - checkValidConnectionSql
        `validateOnMatch` - validateOnMatch
        `staleConnectionChecker` - staleConnectionChecker
        `exceptionSorter` - exceptionSorter
      Returns:
        this
      Throws:
        `java.lang.Exception` - exception

    - #### buildCommonPool

          public LegacyXaDataSourceImp buildCommonPool(java.lang.Integer minPoolSize,
                                                       java.lang.Integer initialPoolSize,
                                                       java.lang.Integer maxPoolSize,
                                                       java.lang.Boolean prefill,
                                                       java.lang.Boolean useStrictMin,
                                                       org.jboss.jca.common.api.metadata.common.FlushStrategy flushStrategy,
                                                       java.lang.Boolean isSameRmOverride,
                                                       java.lang.Boolean interleaving,
                                                       java.lang.Boolean padXid,
                                                       java.lang.Boolean wrapXaResource,
                                                       java.lang.Boolean noTxSeparatePool)
                                                throws java.lang.Exception

      build pool part
      Parameters:
        `minPoolSize` - minPoolSize
        `initialPoolSize` - initialPoolSize
        `maxPoolSize` - maxPoolSize
        `prefill` - prefill
        `useStrictMin` - useStrictMin
        `flushStrategy` - flushStrategy
        `isSameRmOverride` - isSameRmOverride
        `interleaving` - interleaving
        `padXid` - padXid
        `wrapXaResource` - wrapXaResource
        `noTxSeparatePool` - noTxSeparatePool
      Returns:
        this
      Throws:
        `java.lang.Exception` - exception

    - #### buildRecovery

          public LegacyXaDataSourceImp buildRecovery(java.lang.String recoveryUsername,
                                                     java.lang.String recoveryPassword,
                                                     java.lang.Boolean noRecovery)
                                              throws java.lang.Exception

      build recovery part
      Parameters:
        `recoveryUsername` - recoveryUsername
        `recoveryPassword` - recoveryPassword
        `noRecovery` - noRecovery
      Returns:
        this
      Throws:
        `java.lang.Exception` - exception

    - #### buildOther

          public LegacyXaDataSourceImp buildOther(java.lang.String urlDelimiter,
                                                  java.lang.String urlSelectorStrategyClassName,
                                                  java.lang.String newConnectionSql,
                                                  java.lang.Boolean useJavaContext,
                                                  java.lang.String poolName,
                                                  java.lang.Boolean enabled,
                                                  java.lang.String jndiName,
                                                  java.lang.Boolean spy,
                                                  java.lang.Boolean useCcm,
                                                  java.lang.Boolean jta)

      build other properties
      Parameters:
        `urlDelimiter` - urlDelimiter
        `urlSelectorStrategyClassName` - urlSelectorStrategyClassName
        `newConnectionSql` - newConnectionSql
        `useJavaContext` - useJavaContext
        `poolName` - poolName
        `enabled` - enabled
        `jndiName` - jndiName
        `spy` - spy
        `useCcm` - useCcm
        `jta` - jta
      Returns:
        this

    - #### getJndiName

          public java.lang.String getJndiName()

      Description copied from interface: `ConnectionFactory`
      Get the jndiName.
      Specified by:
        `getJndiName` in interface `ConnectionFactory`
      Returns:
        the jndiName.

    - #### isUseJavaContext

          public java.lang.Boolean isUseJavaContext()

      Description copied from interface: `DataSource`
      Get the useJavaContext.
      Specified by:
        `isUseJavaContext` in interface `DataSource`
      Returns:
        the useJavaContext.

    - #### getUrlDelimiter

          public java.lang.String getUrlDelimiter()

      Description copied from interface: `DataSource`
      Get the urlDelimiter.
      Specified by:
        `getUrlDelimiter` in interface `DataSource`
      Returns:
        the urlDelimiter.

    - #### getUrlSelectorStrategyClassName

          public java.lang.String getUrlSelectorStrategyClassName()

      Description copied from interface: `DataSource`
      Get the urlSelectorStrategyClassName.
      Specified by:
        `getUrlSelectorStrategyClassName` in interface `DataSource`
      Returns:
        the urlSelectorStrategyClassName.

    - #### getUserName

          public java.lang.String getUserName()

      Description copied from interface: `DataSource`
      Get the userName.
      Specified by:
        `getUserName` in interface `DataSource`
      Returns:
        the userName.

    - #### getPassword

          public java.lang.String getPassword()

      Description copied from interface: `DataSource`
      Get the password.
      Specified by:
        `getPassword` in interface `DataSource`
      Returns:
        the password.

    - #### getSecurityDomain

          public java.lang.String getSecurityDomain()

      Description copied from interface: `ConnectionFactory`
      get the security domain for pure security-domain security management
      Specified by:
        `getSecurityDomain` in interface `ConnectionFactory`
      Returns:
        the security-domain to use

    - #### getMinPoolSize

          public java.lang.Integer getMinPoolSize()

      Description copied from interface: `ConnectionFactory`
      Get the minPoolSize.
      Specified by:
        `getMinPoolSize` in interface `ConnectionFactory`
      Returns:
        the minPoolSize.

    - #### getMaxPoolSize

          public java.lang.Integer getMaxPoolSize()

      Description copied from interface: `ConnectionFactory`
      Get the maxPoolSize.
      Specified by:
        `getMaxPoolSize` in interface `ConnectionFactory`
      Returns:
        the maxPoolSize.

    - #### getBlockingTimeoutMillis

          public java.lang.Long getBlockingTimeoutMillis()

      Description copied from interface: `ConnectionFactory`
      Get the blockingTimeoutMillis.
      Specified by:
        `getBlockingTimeoutMillis` in interface `ConnectionFactory`
      Returns:
        the blockingTimeoutMillis.

    - #### isBackgroundValidation

          public java.lang.Boolean isBackgroundValidation()

      Description copied from interface: `ConnectionFactory`
      Get the backgroundValidation.
      Specified by:
        `isBackgroundValidation` in interface `ConnectionFactory`
      Returns:
        the backgroundValidation.

    - #### getBackgroundValidationMillis

          public java.lang.Long getBackgroundValidationMillis()

      Description copied from interface: `ConnectionFactory`
      Get the backgroundValidationMillis.
      Specified by:
        `getBackgroundValidationMillis` in interface `ConnectionFactory`
      Returns:
        the backgroundValidationMillis.

    - #### getIdleTimeoutMinutes

          public java.lang.Long getIdleTimeoutMinutes()

      Description copied from interface: `ConnectionFactory`
      Get the idleTimeoutMinutes.
      Specified by:
        `getIdleTimeoutMinutes` in interface `ConnectionFactory`
      Returns:
        the idleTimeoutMinutes.

    - #### getAllocationRetry

          public java.lang.Integer getAllocationRetry()

      Description copied from interface: `ConnectionFactory`
      Get the allocationRetryWaitMillis.
      Specified by:
        `getAllocationRetry` in interface `ConnectionFactory`
      Returns:
        the allocationRetryWaitMillis.

    - #### getAllocationRetryWaitMillis

          public java.lang.Long getAllocationRetryWaitMillis()

      Description copied from interface: `ConnectionFactory`
      Get the allocationRetryWaitMillis.
      Specified by:
        `getAllocationRetryWaitMillis` in interface `ConnectionFactory`
      Returns:
        the allocationRetryWaitMillis.

    - #### isValidateOnMatch

          public java.lang.Boolean isValidateOnMatch()

      Description copied from interface: `DataSource`
      Get the validateOnMatch.
      Specified by:
        `isValidateOnMatch` in interface `DataSource`
      Returns:
        the validateOnMatch.

    - #### getNewConnectionSql

          public java.lang.String getNewConnectionSql()

      Description copied from interface: `DataSource`
      Get the newConnectionSql.
      Specified by:
        `getNewConnectionSql` in interface `DataSource`
      Returns:
        the newConnectionSql.

    - #### getCheckValidConnectionSql

          public java.lang.String getCheckValidConnectionSql()

      Description copied from interface: `DataSource`
      Get the checkValidConnectionSql.
      Specified by:
        `getCheckValidConnectionSql` in interface `DataSource`
      Returns:
        the checkValidConnectionSql.

    - #### getValidConnectionChecker

          public org.jboss.jca.common.api.metadata.common.Extension getValidConnectionChecker()

      Description copied from interface: `DataSource`
      Get the validConnectionChecker
      Specified by:
        `getValidConnectionChecker` in interface `DataSource`
      Returns:
        the validConnectionChecker

    - #### getExceptionSorter

          public org.jboss.jca.common.api.metadata.common.Extension getExceptionSorter()

      Description copied from interface: `DataSource`
      Get the exceptionSorter
      Specified by:
        `getExceptionSorter` in interface `DataSource`
      Returns:
        the exceptionSorter

    - #### getStaleConnectionChecker

          public org.jboss.jca.common.api.metadata.common.Extension getStaleConnectionChecker()

      Description copied from interface: `DataSource`
      Get the staleConnectionChecker
      Specified by:
        `getStaleConnectionChecker` in interface `DataSource`
      Returns:
        the staleConnectionChecker

    - #### getTrackStatements

          public org.jboss.jca.common.api.metadata.ds.Statement.TrackStatementsEnum getTrackStatements()

      Description copied from interface: `DataSource`
      Get the trackStatements.
      Specified by:
        `getTrackStatements` in interface `DataSource`
      Returns:
        the trackStatements.

    - #### isPrefill

          public java.lang.Boolean isPrefill()

      Description copied from interface: `ConnectionFactory`
      Get the prefill.
      Specified by:
        `isPrefill` in interface `ConnectionFactory`
      Returns:
        the prefill.

    - #### isUseFastFail

          public java.lang.Boolean isUseFastFail()

      Description copied from interface: `ConnectionFactory`
      Get the useFastFail.
      Specified by:
        `isUseFastFail` in interface `ConnectionFactory`
      Returns:
        the useFastFail.

    - #### getPreparedStatementsCacheSize

          public java.lang.Long getPreparedStatementsCacheSize()

      Description copied from interface: `DataSource`
      Get the preparedStatementsCacheSize.
      Specified by:
        `getPreparedStatementsCacheSize` in interface `DataSource`
      Returns:
        the preparedStatementsCacheSize.

    - #### isSharePreparedStatements

          public java.lang.Boolean isSharePreparedStatements()

      Description copied from interface: `DataSource`
      Get the sharePreparedStatements.
      Specified by:
        `isSharePreparedStatements` in interface `DataSource`
      Returns:
        the sharePreparedStatements.

    - #### isSetTxQueryTimeout

          public java.lang.Boolean isSetTxQueryTimeout()

      Description copied from interface: `DataSource`
      Get the setTxQuertTimeout.
      Specified by:
        `isSetTxQueryTimeout` in interface `DataSource`
      Returns:
        the setTxQuertTimeout.

    - #### getQueryTimeout

          public java.lang.Long getQueryTimeout()

      Description copied from interface: `DataSource`
      Get the queryTimeout.
      Specified by:
        `getQueryTimeout` in interface `DataSource`
      Returns:
        the queryTimeout.

    - #### getUseTryLock

          public java.lang.Long getUseTryLock()

      Description copied from interface: `DataSource`
      Get the useTryLock.
      Specified by:
        `getUseTryLock` in interface `DataSource`
      Returns:
        the useTryLock.

    - #### isNoTxSeparatePools

          public java.lang.Boolean isNoTxSeparatePools()

      Description copied from interface: `CommonXa`
      Get the noTxSeparatePools.
      Specified by:
        `isNoTxSeparatePools` in interface `CommonXa`
      Returns:
        the noTxSeparatePools.

    - #### isTrackConnectionByTx

          public java.lang.Boolean isTrackConnectionByTx()

      Description copied from interface: `CommonXa`
      Get the TrackConnectionByTx.
      Specified by:
        `isTrackConnectionByTx` in interface `CommonXa`
      Returns:
        the TrackConnectionByTx.

    - #### getXaResourceTimeout

          public java.lang.Integer getXaResourceTimeout()

      Description copied from interface: `CommonXa`
      Get the xaResourceTimeout.
      Specified by:
        `getXaResourceTimeout` in interface `CommonXa`
      Returns:
        the xaResourceTimeout.

    - #### getXaDataSourceClass

          public java.lang.String getXaDataSourceClass()

      Description copied from interface: `XaDataSource`
      Get the xaDataSourceClass.
      Specified by:
        `getXaDataSourceClass` in interface `XaDataSource`
      Returns:
        the xaDataSourceClass.

    - #### getXaDataSourceProperty

          public java.util.Map<java.lang.String,java.lang.String> getXaDataSourceProperty()

      Description copied from interface: `XaDataSource`
      Get the xaDataSourceProperty.
      Specified by:
        `getXaDataSourceProperty` in interface `XaDataSource`
      Returns:
        the xaDataSourceProperty.

    - #### isSameRmOverride

          public java.lang.Boolean isSameRmOverride()

      Description copied from interface: `XaDataSource`
      Get the isSameRmOverride.
      Specified by:
        `isSameRmOverride` in interface `XaDataSource`
      Returns:
        the isSameRmOverride.

    - #### isInterleaving

          public java.lang.Boolean isInterleaving()

      Description copied from interface: `XaDataSource`
      Get the interleaving.
      Specified by:
        `isInterleaving` in interface `XaDataSource`
      Returns:
        the interleaving.

    - #### isPadXid

          public java.lang.Boolean isPadXid()

      Description copied from interface: `XaDataSource`
      Get the padXid.
      Specified by:
        `isPadXid` in interface `XaDataSource`
      Returns:
        the padXid.

    - #### isWrapXaResource

          public java.lang.Boolean isWrapXaResource()

      Description copied from interface: `XaDataSource`
      Get the wrapXaResource.
      Specified by:
        `isWrapXaResource` in interface `XaDataSource`
      Returns:
        the wrapXaResource.

    - #### setJta

          public void setJta(java.lang.Boolean jta)

      setJta
      Parameters:
        `jta` - jta

    - #### getJta

          public java.lang.Boolean getJta()

      getJta
      Returns:
        jta Boolean

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)